Get a specific help center by ID
curl --request GET \
--url https://helpcenter.thena.ai/help-centers/{helpCenterId} \
--header 'x-api-key: <api-key>'import requests
url = "https://helpcenter.thena.ai/help-centers/{helpCenterId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://helpcenter.thena.ai/help-centers/{helpCenterId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"orgId": "EWWESHH5ED",
"name": "Thena Support Center",
"defaultDomain": "support.thena.ai",
"orgDomain": "thena.ai",
"isOnline": true,
"isProtected": false,
"shouldIndex": true,
"createdBy": "UWW7PBBOPJ",
"socialImages": {
"favicon": "https://example.com/favicon.ico",
"openGraphImage": "https://example.com/open-graph.jpg"
},
"stylingConfiguration": {
"body": {
"bgColor": "#FFFFFF",
"textColor": "#000000",
"actionColor": "#000000",
"designStyle": "card",
"radius": 10,
"pFont": "default",
"sFont": "default",
"displayAuthors": true
},
"header": {
"logo": "https://example.com/logo.png",
"title": "Thena Support Center",
"links": [
{
"name": "Home",
"url": "https://example.com"
}
],
"showBg": true,
"bgColor": "#FFFFFF",
"color": "#000000"
},
"hero": {
"message": "Welcome to Thena Support Center",
"background": {
"type": "color",
"color": "#FFFFFF"
},
"color": "#000000",
"height": 245,
"search": {
"len": "long",
"align": "left",
"justify": "bottom",
"radius": 10,
"placeholderText": "Search..."
}
},
"bodyBlocks": {
"collection": {
"layout": "one-column",
"style": "classic"
}
},
"collection": {
"displayDescription": true
},
"article": {
"displayTableOfContent": true,
"displayRelatedArticle": true
},
"footer": {
"logo": "https://example.com/logo.png",
"layout": "simple",
"text": "© 2024 Thena Support Center",
"bgColor": "#FFFFFF",
"color": "#000000",
"socialLinks": [
{
"type": "facebook",
"url": "https://www.facebook.com/thena.ai"
},
{
"type": "twitter",
"url": "https://www.twitter.com/thena.ai"
}
],
"links": [
{
"columnName": "Contact",
"data": [
{
"name": "Support",
"url": "https://example.com/support"
}
]
}
]
}
},
"aiData": {
"assistants": [
{
"name": "Assistant 1",
"assistantId": "123",
"vectorId": "456",
"assistantType": "default"
}
]
},
"meta": {
"title": "Thena Support Center",
"description": "Thena Support Center",
"image": "https://example.com/image.jpg"
},
"logo": "https://example.com/logo.png",
"customDomain": "support.thena.ai",
"gaId": "UA-1234567890"
},
"message": "Help center retrieved successfully."
}Help Centers
Get a specific help center by ID
GET
/
help-centers
/
{helpCenterId}
Get a specific help center by ID
Authorizations
Enter your API key
Path Parameters
Help Center ID in MongoDB ObjectId format
Example:
"507f1f77bcf86cd799439011"
⌘I